/***************************************************************************
    threads.c  -  
    ------------------------
    begin                : pi lut 11 09:59:54 CET 2000
    copyright            : (C) 2000 by Tomasz Fiszer
    email                : profis@kki.net.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <stdio.h>
#include <unistd.h>
#include <errno.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/sem.h>
#include <netdb.h>
#include "defs.h"
#include "utils.h"
#include "struct.h"

int	iThreadPID[MAXTHREADS] = { 0, 0, 0 };
static int	iActual = 0;

int CreateThread(void (*CallbackProc)(void *), void *lpvArg) 
{
    int iPid;
    switch(iPid = fork()) 
    {
	case 0:
	    CallbackProc(lpvArg);
	    break;
	case -1:
	    PrintError("CreateThread: I Can't fork.\n", 0, 0);
	    PrintToLog("Hey! I can't create another \"life\"!\n");
	    break;
	default:
	    iThreadPID[iActual++] = iPid;
	    return SUCCESS;
    }
    return FAILURE;
}

